%define use_xmms 1
%define  use_sqlite 1

Name: logjam
Version: 4.5.3
Release: %mkrel 5
Summary: GTK2 client for LiveJournal
License: GPL
Group: Networking/News 
URL: http://logjam.danga.com/
Source: http://logjam.danga.com/download/logjam-%{version}.tar.xz
Source1:logjam-16.png
Source2:logjam-32.png
Source3:logjam-48.png
Requires: curl 
Requires: libcurl4
Requires: libgtkspell0
%if %{use_xmms}
BuildRequires: xmms-devel
%endif
BuildRequires: libcurl-devel, gtk2-devel, libgtkspell-devel, gtkhtml-3.14-devel 
BuildRequires: gettext, desktop-file-utils, libaspell-devel, librsvg2-devel
Obsoletes: loserjabber, logjam-gnome
BuildRoot: %{_tmppath}/logjam-%{version}.root
Patch0:	logjam-4.4.0pre1.offline.patch
Patch2:	logjam-4.4.0.backdated-file.patch

%description
This is the new GTK2 client for LiveJournal (http://www.livejournal.com).

%if %{use_xmms}
%package xmms
Summary: LogJam helper binary
Group: Networking/News
Requires: logjam, xmms
BuildRequires: xmms-devel

%description xmms
This is a helper binary for LogJam which is used to get the
current music from XMMS.
%endif

%prep
%setup -n %{name}-%{version} -q
#%patch0 -p1
%patch2 -p0

%build
%configure2_5x \
%if %{use_sqlite}
	--with-sqlite3 \
%endif
%if %{use_xmms}
	--with-xmms
%endif


make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
%makeinstall

# menu
desktop-file-install \
  --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-News" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%__install -D -m 644 %SOURCE1 %buildroot/%_miconsdir/%name.png
%__install -D -m 644 %SOURCE2 %buildroot/%_iconsdir/%name.png
%__install -D -m 644 %SOURCE3 %buildroot/%_liconsdir/%name.png

%files 
%defattr(-,root,root)
%doc doc/README COPYING doc/TODO
%{_bindir}/logjam
%{_mandir}/man1/logjam.1.bz2
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/logjam*
%{_datadir}/locale/*/LC_MESSAGES/logjam.mo
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png

%if %{use_xmms}
%files xmms
%{_bindir}/logjam-xmms-client
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jun 18 2010 Texstar <texstar at gmail.com> 4.5.3-5pclos2010
- update for 2010 release

* Tue Apr 14 2009 pcserver <pcserver@hushmail.com> 4.5.3-4pclos2007
- rebuild libcurl4


